package com.bjtdba.entity.order;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户表(User)实体类
 *
 * @author makejava
 * @since 2022-09-29 09:51:08
 */
public class User implements Serializable {
    private static final long serialVersionUID = -95734004890284359L;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 微信用户 id
     */
    private String wechatUserId;
    /**
     * 支付宝用户id
     */
    private String aliUserId;
    /**
     * 用户账号
     */
    private String account;
    /**
     * 用户密码
     */
    private String pwd;
    /**
     * 真实姓名
     */
    private String realName;
    /**
     * 性别
     */
    private Integer sex;
    /**
     * 生日
     */
    private Date birthday;
    /**
     * 身份证号码
     */
    private String cardId;
    /**
     * 用户备注
     */
    private String mark;
    /**
     * 用户标签 id
     */
    private String labelId;
    /**
     * 用户分组id
     */
    private Long groupId;
    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 地址
     */
    private String addres;
    /**
     * 添加时间
     */
    private Date createTime;
    /**
     * 最后一次登录时间
     */
    private Date lastTime;
    /**
     * 最后一次登录ip
     */
    private String lastIp;
    /**
     * 用户积分
     */
    private Double nowScore;
    /**
     * 用户余额
     */
    private BigDecimal nowMoney;
    /**
     * 佣金金额
     */
    private Double brokeragePrice;
    /**
     * 1为正常，0为禁止
     */
    private Integer status;
    /**
     * 推广员id
     */
    private Long spreadUid;
    /**
     * 推广员关联时间
     */
    private Date spreadTime;
    /**
     * 用户类型
     */
    private String userType;
    /**
     * 成功推广时间
     */
    private Date promoterTime;
    /**
     * 是否为推广员
     */
    private Integer isPromoter;
    /**
     * 主账号
     */
    private Long mainUid;
    /**
     * 用户购买次数
     */
    private Long payCount;
    /**
     * 用户消费金额
     */
    private BigDecimal payPrice;
    /**
     * 下级人数
     */
    private Long spreadCount;
    /**
     * 身份所对应的区域id
     */
    private Integer adrId;
    /**
     * 1 镇代 2 县代 3 市代 4 商户 5 推广员 6渠道商
     */
    private Integer identity;
    /**
     * 首次消费绑定商户
     */
    private Integer merId;
    /**
     * 置顶商户
     */
    private Integer merTopping;
    
    private String userName;
    /**
     * 养老金 冻结
     */
    private BigDecimal annuityFrozen;
    /**
     * 几笔养老金
     */
    private Integer annuityNum;
    /**
     * 养老金
     */
    private BigDecimal annuity;
    /**
     * 推荐推广员返利
     */
    private Double agentRebate;
    /**
     * 推荐商户返利
     */
    private Double merRebate;
    /**
     * 推荐代理返利
     */
    private Double promoterRebate;
    /**
     * 跨店收入
     */
    private Double crossStore;
    /**
     * 辖区内收入
     */
    private Double jurisdiction;
    /**
     * 跨区收入
     */
    private Double otherJurisdictions;
    /**
     * 广告费
     */
    private Double advFee;
    /**
     * 自己辖区消费返利
     */
    private Double xqxiaofei;
    /**
     * 60岁生日
     */
    private Date birthday60;
    /**
     * 卡号 养老金
     */
    private String cardNumber;
    /**
     * 已支取
     */
    private Double annuityYiqu;
    /**
     * 是否为新用户:0=>是,1=>不是
     */
    private Integer isNew;
    /**
     * 平台收入
     */
    private Double adminAgentRate;
    /**
     * 会员锁定时间
     */
    private String locktime;
    /**
     * 用户编号
     */
    private String userNumber;
    /**
     * 环信账号。0:未注册。1：已注册。
     */
    private Integer im;
    /**
     * 环信UUID
     */
    private String imUuid;
    /**
     * 是否是测试用户
     */
    private Integer testUser;
    /**
     * 是否是渠道商
     */
    private Integer isChannel;
    /**
     * 积分（20220712改版新增）
     */
    private Double score;
    /**
     * 0-未结算过养老金，1-已结算过养老金
     */
    private Integer annuityOnce;
    /**
     * 首次签到：0-未签到。1-已签到。2-首次签到断签。3-首次签到30天
     */
    private Integer firstSign;
    /**
     * 0未删除1删除
     */
    private Integer isDel;


    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public String getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(String wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public String getAliUserId() {
        return aliUserId;
    }

    public void setAliUserId(String aliUserId) {
        this.aliUserId = aliUserId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getLabelId() {
        return labelId;
    }

    public void setLabelId(String labelId) {
        this.labelId = labelId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddres() {
        return addres;
    }

    public void setAddres(String addres) {
        this.addres = addres;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public String getLastIp() {
        return lastIp;
    }

    public void setLastIp(String lastIp) {
        this.lastIp = lastIp;
    }

    public Double getNowScore() {
        return nowScore;
    }

    public void setNowScore(Double nowScore) {
        this.nowScore = nowScore;
    }

    public BigDecimal getNowMoney() {
        return nowMoney;
    }

    public void setNowMoney(BigDecimal nowMoney) {
        this.nowMoney = nowMoney;
    }

    public Double getBrokeragePrice() {
        return brokeragePrice;
    }

    public void setBrokeragePrice(Double brokeragePrice) {
        this.brokeragePrice = brokeragePrice;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getSpreadUid() {
        return spreadUid;
    }

    public void setSpreadUid(Long spreadUid) {
        this.spreadUid = spreadUid;
    }

    public Date getSpreadTime() {
        return spreadTime;
    }

    public void setSpreadTime(Date spreadTime) {
        this.spreadTime = spreadTime;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public Date getPromoterTime() {
        return promoterTime;
    }

    public void setPromoterTime(Date promoterTime) {
        this.promoterTime = promoterTime;
    }

    public Integer getIsPromoter() {
        return isPromoter;
    }

    public void setIsPromoter(Integer isPromoter) {
        this.isPromoter = isPromoter;
    }

    public Long getMainUid() {
        return mainUid;
    }

    public void setMainUid(Long mainUid) {
        this.mainUid = mainUid;
    }

    public Long getPayCount() {
        return payCount;
    }

    public void setPayCount(Long payCount) {
        this.payCount = payCount;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public Long getSpreadCount() {
        return spreadCount;
    }

    public void setSpreadCount(Long spreadCount) {
        this.spreadCount = spreadCount;
    }

    public Integer getAdrId() {
        return adrId;
    }

    public void setAdrId(Integer adrId) {
        this.adrId = adrId;
    }

    public Integer getIdentity() {
        return identity;
    }

    public void setIdentity(Integer identity) {
        this.identity = identity;
    }

    public Integer getMerId() {
        return merId;
    }

    public void setMerId(Integer merId) {
        this.merId = merId;
    }

    public Integer getMerTopping() {
        return merTopping;
    }

    public void setMerTopping(Integer merTopping) {
        this.merTopping = merTopping;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public BigDecimal getAnnuityFrozen() {
        return annuityFrozen;
    }

    public void setAnnuityFrozen(BigDecimal annuityFrozen) {
        this.annuityFrozen = annuityFrozen;
    }

    public Integer getAnnuityNum() {
        return annuityNum;
    }

    public void setAnnuityNum(Integer annuityNum) {
        this.annuityNum = annuityNum;
    }

    public BigDecimal getAnnuity() {
        return annuity;
    }

    public void setAnnuity(BigDecimal annuity) {
        this.annuity = annuity;
    }

    public Double getAgentRebate() {
        return agentRebate;
    }

    public void setAgentRebate(Double agentRebate) {
        this.agentRebate = agentRebate;
    }

    public Double getMerRebate() {
        return merRebate;
    }

    public void setMerRebate(Double merRebate) {
        this.merRebate = merRebate;
    }

    public Double getPromoterRebate() {
        return promoterRebate;
    }

    public void setPromoterRebate(Double promoterRebate) {
        this.promoterRebate = promoterRebate;
    }

    public Double getCrossStore() {
        return crossStore;
    }

    public void setCrossStore(Double crossStore) {
        this.crossStore = crossStore;
    }

    public Double getJurisdiction() {
        return jurisdiction;
    }

    public void setJurisdiction(Double jurisdiction) {
        this.jurisdiction = jurisdiction;
    }

    public Double getOtherJurisdictions() {
        return otherJurisdictions;
    }

    public void setOtherJurisdictions(Double otherJurisdictions) {
        this.otherJurisdictions = otherJurisdictions;
    }

    public Double getAdvFee() {
        return advFee;
    }

    public void setAdvFee(Double advFee) {
        this.advFee = advFee;
    }

    public Double getXqxiaofei() {
        return xqxiaofei;
    }

    public void setXqxiaofei(Double xqxiaofei) {
        this.xqxiaofei = xqxiaofei;
    }

    public Date getBirthday60() {
        return birthday60;
    }

    public void setBirthday60(Date birthday60) {
        this.birthday60 = birthday60;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public Double getAnnuityYiqu() {
        return annuityYiqu;
    }

    public void setAnnuityYiqu(Double annuityYiqu) {
        this.annuityYiqu = annuityYiqu;
    }

    public Integer getIsNew() {
        return isNew;
    }

    public void setIsNew(Integer isNew) {
        this.isNew = isNew;
    }

    public Double getAdminAgentRate() {
        return adminAgentRate;
    }

    public void setAdminAgentRate(Double adminAgentRate) {
        this.adminAgentRate = adminAgentRate;
    }

    public String getLocktime() {
        return locktime;
    }

    public void setLocktime(String locktime) {
        this.locktime = locktime;
    }

    public String getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(String userNumber) {
        this.userNumber = userNumber;
    }

    public Integer getIm() {
        return im;
    }

    public void setIm(Integer im) {
        this.im = im;
    }

    public String getImUuid() {
        return imUuid;
    }

    public void setImUuid(String imUuid) {
        this.imUuid = imUuid;
    }

    public Integer getTestUser() {
        return testUser;
    }

    public void setTestUser(Integer testUser) {
        this.testUser = testUser;
    }

    public Integer getIsChannel() {
        return isChannel;
    }

    public void setIsChannel(Integer isChannel) {
        this.isChannel = isChannel;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getAnnuityOnce() {
        return annuityOnce;
    }

    public void setAnnuityOnce(Integer annuityOnce) {
        this.annuityOnce = annuityOnce;
    }

    public Integer getFirstSign() {
        return firstSign;
    }

    public void setFirstSign(Integer firstSign) {
        this.firstSign = firstSign;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

}

